OpenShot Audio Library | OpenShotAudio: juce::dsp::OversamplingDummy< SampleType > Struct Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::dsp::OversamplingDummy< SampleType > Struct Template Referencefinal
Inheritance diagram for juce::dsp::OversamplingDummy< SampleType >:

## Public Types
using | ParentType = typename Oversampling<SampleType>::OversamplingStage

## Public Member Functions
| OversamplingDummy (size_t numChans)
SampleType | getLatencyInSamples () const override
void | processSamplesUp (const AudioBlock< const SampleType > &inputBlock) override
void | processSamplesDown (AudioBlock< SampleType > &outputBlock) override
Public Member Functions inherited from juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >
| OversamplingStage (size_t numChans, size_t newFactor)
virtual void | initProcessing (size_t maximumNumberOfSamplesBeforeOversampling)
virtual void | reset ()
AudioBlock< SampleType > | getProcessedSamples (size_t numSamples)

## Additional Inherited Members
Public Attributes inherited from juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >
AudioBuffer< SampleType > | buffer
size_t | numChannels
size_t | factor

## Detailed Description

template<typename SampleType>
struct juce::dsp::OversamplingDummy< SampleType >

Dummy oversampling stage class which simply copies and pastes the input signal, which could be equivalent to a "one time" oversampling processing.

Definition at line 71 of file juce_Oversampling.cpp.

## Member Typedef Documentation

## ◆ ParentType

template<typename SampleType >

using juce::dsp::OversamplingDummy< SampleType >::ParentType = typename Oversampling<SampleType>::OversamplingStage

Definition at line 73 of file juce_Oversampling.cpp.

## Constructor & Destructor Documentation

## ◆ OversamplingDummy()

template<typename SampleType >

juce::dsp::OversamplingDummy< SampleType >::OversamplingDummy | ( | size_t | numChans | ) |
| inline

Definition at line 75 of file juce_Oversampling.cpp.

## Member Function Documentation

## ◆ getLatencyInSamples()

template<typename SampleType >

SampleType juce::dsp::OversamplingDummy< SampleType >::getLatencyInSamples | ( |  | ) | const
| inlineoverridevirtual

Implements juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 78 of file juce_Oversampling.cpp.

## ◆ processSamplesDown()

template<typename SampleType >

void juce::dsp::OversamplingDummy< SampleType >::processSamplesDown | ( | AudioBlock< SampleType > & | outputBlock | ) |
| inlineoverridevirtual

Implements juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 93 of file juce_Oversampling.cpp.

## ◆ processSamplesUp()

template<typename SampleType >

void juce::dsp::OversamplingDummy< SampleType >::processSamplesUp | ( | const AudioBlock< const SampleType > & | inputBlock | ) |
| inlineoverridevirtual

Implements juce::dsp::Oversampling< SampleType >::OversamplingStage< SampleType >.

Definition at line 83 of file juce_Oversampling.cpp.

The documentation for this struct was generated from the following file:

- juce_Oversampling.cpp